This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 152178 - CAN-2005-0750 bluetooth security flaw
CAN-2005-0750 bluetooth security flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
impact=important,reported=20050324,pu...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-25 12:53 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 16:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
jwltest-bluetooth-param-check.patch (896 bytes, patch)
2005-03-30 10:32 EST, John W. Linville
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-25 12:53:41 EST
(Affects RHEL3, but 2.4 needs a slightly altered patch)

+++ This bug was initially created as a clone of Bug #152177 +++

A flaw was discovered by Ilja van Sprundel in the bluetooth driver affecting 2.4
and 2.6.  On system where bluetooth modules are loaded, a local user could use
this flaw to gain root privileges.
Comment 1 John W. Linville 2005-03-30 10:32:22 EST
Created attachment 112458 [details]
jwltest-bluetooth-param-check.patch

Backport of patch to RHEL3...
Comment 2 John W. Linville 2005-03-30 10:50:02 EST
Test kernels with the above patch are available here:

   http://people.redhat.com/linville/kernels/rhel3/

Although the patch seems obvious, please give them a try and post results.  Thanks!
Comment 5 Ernie Petrides 2005-04-13 20:21:39 EDT
A fix for this problem has just been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.3.EL).
Comment 6 Ernie Petrides 2005-04-15 21:19:18 EDT
A fix for this problem has also been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-32.EL).
Comment 7 Josh Bressers 2005-04-22 16:17:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-293.html
Comment 8 Tim Powers 2005-05-18 09:29:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.